Assignments Assignments

Classes | Macros | Typedefs | Functions
MatrixMNTC.h File Reference
`#include <exception>`
`#include <string>`
`#include "MatrixMNTC.inl"`

Go to the source code of this file.

## Classes
class | MatrixMNTCException
class | GXMatrixMNTC< Coord >

## Macros
#define | USE_MK_EXCEPTIONS
#define | OS_UNIX 1
#define | OS_WINNT 2
#define | OS OS_UNIX

## Typedefs
typedef GXMatrixMNTC< float > | GXMatrixMNf
typedef GXMatrixMNTC< double > | GXMatrixMNd

## Functions
template<class Coord>
GXMatrixMNTC< Coord > | operator+ (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord>
GXMatrixMNTC< Coord > | operator- (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord>
GXMatrixMNTC< Coord > | operator* (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord>
GXMatrixMNTC< Coord > | operator* (const GXMatrixMNTC< Coord > &M, Coord s)
template<class Coord>
GXMatrixMNTC< Coord > | operator* (Coord s, const GXMatrixMNTC< Coord > &M)
template<class Coord>
GXMatrixMNTC< Coord > | operator/ (const GXMatrixMNTC< Coord > &M, Coord s)
template<class Coord>
GXMatrixMNTC< Coord > | operator+ (const GXMatrixMNTC< Coord > &M)
template<class Coord>
GXMatrixMNTC< Coord > | operator- (const GXMatrixMNTC< Coord > &M)
template<class Coord>
bool | operator== (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord>
bool | operator!= (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord>
const GXMatrixMNTC< Coord > | Transpose (const GXMatrixMNTC< Coord > &M)
template<class Coord>
const GXMatrixMNTC< Coord > | Identity (unsigned int cOrder)
template<class Coord>
const GXMatrixMNTC< Coord > | ScalarMatrix (unsigned int cOrder, Coord s)

## Macro Definition Documentation

## ◆ OS

#define OS OS_UNIX

## ◆ OS_UNIX

#define OS_UNIX 1

## ◆ OS_WINNT

#define OS_WINNT 2

## ◆ USE_MK_EXCEPTIONS

#define USE_MK_EXCEPTIONS

## Typedef Documentation

## ◆ GXMatrixMNd

typedef GXMatrixMNTC<double> GXMatrixMNd

## ◆ GXMatrixMNf

typedef GXMatrixMNTC<float> GXMatrixMNf

## Function Documentation

## ◆ Identity()

template<class Coord>

const GXMatrixMNTC< Coord > Identity | ( | unsigned int | cOrder | ) |

## ◆ operator!=()

template<class Coord>

bool operator!= | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator*() [1/3]

template<class Coord>

GXMatrixMNTC< Coord > operator* | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator*() [2/3]

template<class Coord>

GXMatrixMNTC< Coord > operator* | ( | const GXMatrixMNTC< Coord > & | M,
|  | Coord | s )

## ◆ operator*() [3/3]

template<class Coord>

GXMatrixMNTC< Coord > operator* | ( | Coord | s,
|  | const GXMatrixMNTC< Coord > & | M )

## ◆ operator+() [1/2]

template<class Coord>

GXMatrixMNTC< Coord > operator+ | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator+() [2/2]

template<class Coord>

GXMatrixMNTC< Coord > operator+ | ( | const GXMatrixMNTC< Coord > & | M | ) |

## ◆ operator-() [1/2]

template<class Coord>

GXMatrixMNTC< Coord > operator- | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator-() [2/2]

template<class Coord>

GXMatrixMNTC< Coord > operator- | ( | const GXMatrixMNTC< Coord > & | M | ) |

## ◆ operator/()

template<class Coord>

GXMatrixMNTC< Coord > operator/ | ( | const GXMatrixMNTC< Coord > & | M,
|  | Coord | s )

## ◆ operator==()

template<class Coord>

bool operator== | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ ScalarMatrix()

template<class Coord>

const GXMatrixMNTC< Coord > ScalarMatrix | ( | unsigned int | cOrder,
|  | Coord | s )

## ◆ Transpose()

template<class Coord>

const GXMatrixMNTC< Coord > Transpose | ( | const GXMatrixMNTC< Coord > & | M | ) |